Bug 1199762 - [abrt] tracker: g_slice_alloc(): tracker-miner-fs killed by SIGSEGV
Summary: [abrt] tracker: g_slice_alloc(): tracker-miner-fs killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:506f27e51ae8e6c8e8466d0ff44...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-08 01:07 UTC by Radu Alexandru Popescu
Modified: 2015-12-02 17:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 09:53:08 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (55.39 KB, text/plain)
2015-03-08 01:07 UTC, Radu Alexandru Popescu
no flags Details
File: cgroup (190 bytes, text/plain)
2015-03-08 01:07 UTC, Radu Alexandru Popescu
no flags Details
File: core_backtrace (21.00 KB, text/plain)
2015-03-08 01:07 UTC, Radu Alexandru Popescu
no flags Details
File: dso_list (5.61 KB, text/plain)
2015-03-08 01:07 UTC, Radu Alexandru Popescu
no flags Details
File: environ (2.02 KB, text/plain)
2015-03-08 01:07 UTC, Radu Alexandru Popescu
no flags Details
File: exploitable (82 bytes, text/plain)
2015-03-08 01:07 UTC, Radu Alexandru Popescu
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-08 01:07 UTC, Radu Alexandru Popescu
no flags Details
File: maps (30.24 KB, text/plain)
2015-03-08 01:07 UTC, Radu Alexandru Popescu
no flags Details
File: open_fds (3.69 KB, text/plain)
2015-03-08 01:07 UTC, Radu Alexandru Popescu
no flags Details
File: proc_pid_status (958 bytes, text/plain)
2015-03-08 01:07 UTC, Radu Alexandru Popescu
no flags Details
File: var_log_messages (27.43 KB, text/plain)
2015-03-08 01:07 UTC, Radu Alexandru Popescu
no flags Details

Description Radu Alexandru Popescu 2015-03-08 01:07:22 UTC
Version-Release number of selected component:
tracker-1.2.5-2.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-miner-fs
crash_function: g_slice_alloc
executable:     /usr/libexec/tracker-miner-fs
kernel:         3.18.7-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_slice_alloc at /lib64/libglib-2.0.so.0
 #1 g_list_append at /lib64/libglib-2.0.so.0
 #2 tracker_sparql_expression_translate_primary_expression at /home/martyn/Source/checkout/gnome/tracker/src/libtracker-data/tracker-sparql-expression.vala:1101
 #3 tracker_sparql_expression_translate_unary_expression at /home/martyn/Source/checkout/gnome/tracker/src/libtracker-data/tracker-sparql-expression.vala:1268
 #4 tracker_sparql_expression_translate_multiplicative_expression at /home/martyn/Source/checkout/gnome/tracker/src/libtracker-data/tracker-sparql-expression.vala:1273
 #5 tracker_sparql_expression_translate_additive_expression at /home/martyn/Source/checkout/gnome/tracker/src/libtracker-data/tracker-sparql-expression.vala:1304
 #6 tracker_sparql_expression_translate_numeric_expression at /home/martyn/Source/checkout/gnome/tracker/src/libtracker-data/tracker-sparql-expression.vala:1334
 #7 tracker_sparql_expression_translate_relational_expression at /home/martyn/Source/checkout/gnome/tracker/src/libtracker-data/tracker-sparql-expression.vala:1395
 #8 tracker_sparql_expression_translate_value_logical at /home/martyn/Source/checkout/gnome/tracker/src/libtracker-data/tracker-sparql-expression.vala:1418
 #9 tracker_sparql_expression_translate_conditional_and_expression at /home/martyn/Source/checkout/gnome/tracker/src/libtracker-data/tracker-sparql-expression.vala:1423

Comment 1 Radu Alexandru Popescu 2015-03-08 01:07:26 UTC
Created attachment 999238 [details]
File: backtrace

Comment 2 Radu Alexandru Popescu 2015-03-08 01:07:27 UTC
Created attachment 999239 [details]
File: cgroup

Comment 3 Radu Alexandru Popescu 2015-03-08 01:07:29 UTC
Created attachment 999240 [details]
File: core_backtrace

Comment 4 Radu Alexandru Popescu 2015-03-08 01:07:30 UTC
Created attachment 999241 [details]
File: dso_list

Comment 5 Radu Alexandru Popescu 2015-03-08 01:07:32 UTC
Created attachment 999242 [details]
File: environ

Comment 6 Radu Alexandru Popescu 2015-03-08 01:07:33 UTC
Created attachment 999243 [details]
File: exploitable

Comment 7 Radu Alexandru Popescu 2015-03-08 01:07:34 UTC
Created attachment 999244 [details]
File: limits

Comment 8 Radu Alexandru Popescu 2015-03-08 01:07:36 UTC
Created attachment 999245 [details]
File: maps

Comment 9 Radu Alexandru Popescu 2015-03-08 01:07:37 UTC
Created attachment 999246 [details]
File: open_fds

Comment 10 Radu Alexandru Popescu 2015-03-08 01:07:38 UTC
Created attachment 999247 [details]
File: proc_pid_status

Comment 11 Radu Alexandru Popescu 2015-03-08 01:07:40 UTC
Created attachment 999248 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-11-04 13:16:22 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-12-02 09:53:12 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.